import { AfterViewInit, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { SvgRegistry } from './svg-registry.service';
import * as i0 from "@angular/core";
/**
 * ngx-fast-svg enables lazy loading features of the browser for SVG.
 * It also manages the caching of SVG's in the DOM for multiple usage and different stylings
 * This component also Supports lazy loading with SSR and http transfer cache
 * */
export declare class FastSvgComponent implements AfterViewInit, OnDestroy {
    private platform;
    private renderer;
    private registry;
    private element;
    private sub;
    private readonly getImg;
    name: string;
    size: string;
    width: string;
    height: string;
    loadedListener: () => void;
    constructor(platform: Record<string, unknown>, renderer: Renderer2, registry: SvgRegistry, element: ElementRef<HTMLElement>);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FastSvgComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FastSvgComponent, "fast-svg", never, { "name": "name"; "size": "size"; "width": "width"; "height": "height"; }, {}, never, never>;
}
